{
  config,
  flake,
  pkgs,
  ...
}:
let

  inherit (flake.config.aesthetics.themes) currentTheme palettes fonts;

  inherit (flake.config.people) user0;

  user = config.home.username;

  themeLogic = if user == user0 then currentTheme else currentTheme;

  el = palettes.${themeLogic}.colours;

in
{
  programs.fuzzel = {
    enable = true;
    settings = {
      main = {
        prompt = "Summon: ";
        show-actions = "yes";
        dpi-aware = "no";
        icon-theme = "Papirus-Dark";
        width = 25;
        font = "${fonts.name}:weight=bold:size=${toString fonts.sizes.popups}";
        terminal = "${pkgs.ghostty}/bin/ghostty";
        layer = "overlay";
        fields = "name";
      };
      border = {
        radius = 10;
        width = 2;
      };
      colors = {
        background = "${el.base00}dd";
        text = "${el.base05}ff";
        match = "${el.base0E}ff";
        selection = "${el.base04}ff";
        selection-text = "${el.base05}ff";
        selection-match = "${el.base0E}ff";
        border = "${el.base0E}ff";
        prompt = "${el.base07}ff";
        input = "${el.base05}ff";
        placeholder = "${el.base04}ff";
        counter = "${el.base04}ff";
      };
      dmenu = {
        exit-immediately-if-empty = "yes";
      };
    };
  };
}
